<?php
$_SESSION['title']="Редактировать локацию";
heads($headers_page, $set_ob_start);   //подключение шапки     locdel&loc=1
if(isset($_GET['loc']))
{
$loc_id=abs(intval($_GET['loc']));
$loc=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$loc_id' LIMIT 1"),MYSQL_ASSOC);
}
if(!$loc)
{
mset_err("Локация не найдена!");
header("Location: ?l=loccard"); exit;
}
$_t_s=explode('-',$loc['s']);
$x_t=$_t_s['0'];
$y_t=$_t_s['1'];
//
if(isset($_POST['saveloc']))
{
// 
$locname= ft_nic($_POST['locname']);
$x=abs(intval($_POST['x']));
$y=abs(intval($_POST['y']));
// Проверка данных
$errors='';
if(strlen2($locname)<3 or strlen2($locname)>255){$errors.="Имя локации указано не верно! ";}
if($x<1){$errors.="Не верно указан размер по x! ";}
if($y<1){$errors.="Не верно указан размер по y! ";}
#$checkname=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `name`='$locname' LIMIT 1"),MYSQL_ASSOC);
#if($checkname){$errors.="Локация с именем $locname уже существует! ";}
$s="$x-$y";
  if($errors=='')
  {
  mysql_query("UPDATE `location` SET
  `s`='$s',
  `name`='$locname'
  WHERE `id`='$loc[id]' LIMIT 1");
    if(mysql_affected_rows())
    {
    mset_msg("Локация \"$locname\" успешно изменена!");  
    }else{mset_err("Не удалось изменить локацию  \"$locname\"!");}
    header("Location: ?l=loccard"); exit; 
  }
mset_err($errors);
header("Location: ?l=newloc"); exit;  //http://stalker.rul/adm.php?l=newloc
}else{
echo "<form action='' method='post'>";
echo "Имя локации<br /><input type='text' name='locname' value='$loc[name]' /><br />";
echo "размер по x<br /><input type='text' name='x' value='$x_t' /><br />";
echo "размер по y<br /><input type='text' name='y' value='$y_t' /><br />";
echo "<br /><input type='submit' name='saveloc' value='сохранить' /><br />";
echo "</form>";
}
echo "<div class=''><a href='?l=loccard'>Отмена</a></div>";
?>